// 基本信息
const topFormRow = [
  {
    elCol: [
      {
        label: "线索编码",
        prop: "contractCode",
        tag: "elInput",
        placeholder: "自动生成",
        disabled: true,
      },
      {
        label: "线索来源",
        prop: "clueSourceID",
        tag: "elSelect",
        options: [],
      },
      {
        label: "线索状态",
        prop: "clueState",
        tag: "elSelect",
        options: [],
      },
      {
        label: "重要程度",
        prop: "important",
        tag: "elRadio",
        options: [
          {
            label: '低',
            value: 0
          },
          {
            label: '普通',
            value: 1
          },
          {
            label: '高',
            value: 2
          },
        ]
      },
    ],
  },
  {
    elCol: [
      {
        label: "线索主题",
        prop: "clueTheme",
        tag: "elInput",
        span: 24,
      },
    ],
  },
  {
    elCol: [
      {
        label: "线索内容",
        prop: "clueContent",
        tag: "elInput",
        span: 24,
        type: "textarea",
        maxlength: '110'
      }
    ]
  },
  {
    elCol: [
      {
        label: "客户名称",
        prop: "customerName",
        tag: "elInput",
      },
      {
        label: "联系人员",
        prop: "contactPerson",
        tag: "elInput",
      },
      {
        label: "联系电话",
        prop: "mobilePhone",
        tag: "elInput",
        rules: true,
        rulesName: "phone",
        maxlength: '11'
      },
      {
        label: "电子邮箱",
        prop: "email",
        tag: "elInput",
      },
    ],
  },
  {
    elCol: [
      {
        label: "客户地址",
        prop: "customerAddress",
        tag: "elInput",
        span: 12,
      },
    ],
  },
];
// 项目表头配置
const xmTableColumn = [
  {
    label: "项目编号",
    prop: "billCode",
    tooltip: true,
    width: "100",
  },
  {
    label: "项目名称",
    prop: "projectName",
    tooltip: true,
    width: "150",
  },
  {
    label: "客户编码",
    prop: "cusCode",
    tooltip: true,
    width: "120",
  },
  {
    label: "客户名称",
    prop: "cusName",
    tooltip: true,
    width: "150",
  },
  {
    label: "所属部门",
    prop: "o_OrganName",
    tooltip: true,
  },
  {
    label: "项目类型",
    prop: "email",
    tooltip: true,
  },
  {
    label: "项目阶段",
    prop: "phase",
    tooltip: true,
  },
  {
    label: "项目负责人",
    prop: "p_PersonName",
    tooltip: true,
    width: "120",
  },
  {
    label: "计划开始时间",
    prop: "beginDate",
    tooltip: true,
    width: "120",
  },
  {
    label: "计划结束时间",
    prop: "endDate",
    tooltip: true,
    width: "120",
  },
];
// 表单校验
const formVerification = {
  clueSourceID: [
    {
      required: true,
      message: "请选择线索来源",
      trigger: "blur",
    },
  ],
  clueState: [
    {
      required: true,
      message: "请选择线索状态",
      trigger: "change, blur",
    },
  ],
  clueTheme: [
    {
      required: true,
      message: "请输入线索主题",
      trigger: "change, blur",
    },
  ],
  clueContent: [
    {
      required: true,
      message: "请输入线索内容",
      trigger: "blur",
    },
  ],
  important: [
    {
      required: true,
      message: "请选择重要程度",
      trigger: "blur",
    },
  ],
  customerName: [
    {
      required: true,
      message: "请输入客户名称",
      trigger: "blur",
    },
  ],
  contactPerson: [
    {
      required: true,
      message: "请输入联系人员",
      trigger: "blur",
    },
  ],
  mobilePhone: [
    {
      required: true,
      message: "请输入联系电话",
      trigger: "blur",
    },
  ],
};
export default {
  topFormRow,
  xmTableColumn,
  formVerification
};
