// 基本信息
const topFormRow = [
  {
    elCol: [
      {
        label: "线索编码",
        prop: "billCode",
        tag: "elInput",
        placeholder: "自动生成",
        disabled: true,
      },
      {
        label: "线索来源",
        prop: "clueSourceIDName",
        tag: "elSelect",
        options: [],
      },
      {
        label: "线索状态",
        prop: "clueStateName",
        tag: "elSelect",
        options: [],
      },
      {
        label: "重要程度",
        prop: "important",
        tag: "elRadio",
        options: [
          {
            label: '低',
            value: 1
          },
          {
            label: '普通',
            value: 2
          },
          {
            label: '高',
            value: 3
          },
        ]
      },
    ],
  },
  {
    elCol: [
      {
        label: "线索主题",
        prop: "clueTheme",
        tag: "elInput",
        span: 24,
      },
    ],
  },
  {
    elCol: [
      {
        label: "线索内容",
        prop: "clueContent",
        tag: "elInput",
        span: 24,
        type: "textarea",
      }
    ]
  },
  {
    elCol: [
      {
        label: "客户名称",
        prop: "customerName",
        tag: "elInput",
      },
      {
        label: "联系人员",
        prop: "contactPerson",
        tag: "elInput",
      },
      {
        label: "联系电话",
        prop: "mobilePhone",
        tag: "elInput",
      },
      {
        label: "电子邮箱",
        prop: "email",
        tag: "elInput",
      },
    ],
  },
  {
    elCol: [
      {
        label: "客户地址",
        prop: "customerAddress",
        tag: "elInput",
        span: 12
      },
    ],
  },
];
// 关联合同
const relatedContract = [
  {
    elCol: [
      {
        label: "合同号",
        prop: "correlationContractCode",
        tag: "elInput",
        rules: true,
      },
      {
        label: "供方单位",
        prop: "venName",
        tag: "elDialog",
        other: {
          color: "#4C9CFF",
          isClick: true,
        },
      },
      {
        label: "供方合同金额",
        prop: "vendorMoney",
        tag: "elInput",
        rulesName: "decimal",
      },
    ],
  },
];
// 保证金、质保金
const secondFormRow = [
  {
    elCol: [
      {
        label: "保证金原币:",
        prop: "oriTaxEarnestMoney",
      },
      {
        label: "保证金本币:",
        prop: "taxEarnestMoney",
      },
    ],
  },
  {
    elCol: [
      {
        label: "质保金原币:",
        prop: "oriTaxRetentionMoney",
      },
      {
        label: "质保金本币:",
        prop: "taxRetentionMoney",
      },
      {
        label: "质保开始时间:",
        prop: "retentionStartDate",
      },
      {
        label: "质保结束时间:",
        prop: "retentionEndDate",
      },
    ],
  },
  {
    elCol: [
      {
        label: "变更原因:",
        prop: "changeContent",
      },
    ],
  },
];
// 合同明细
const contractDetails = [
  {
    elCol: [
      {
        label: "设备名称:",
        prop: "invName",
      },
      {
        label: "计量单位:",
        prop: "unit",
      },
    ],
  },
  {
    elCol: [
      {
        label: "设备编码:",
        prop: "cEQCode",
      },
      {
        label: "数量:",
        prop: "quantity",
      },
    ],
  },
  {
    elCol: [
      {
        label: "存货编码:",
        prop: "invCode",
      },
      {
        label: "单价:",
        prop: "unitPrice",
      },
    ],
  },
  {
    elCol: [
      {
        label: "是否新产品:",
        prop: "isNewProduct",
      },
      {
        label: "金额:",
        prop: "money",
      },
    ],
  },
  {
    elCol: [
      {
        label: "规格:",
        prop: "invStd",
      },
      {
        label: "税率:",
        prop: "tax",
      },
    ],
  },
];
// 合同阶段
const contractStage = [
  {
    elCol: [
      {
        label: "阶段名称:",
        prop: "phaseName",
      },
    ],
  },
  {
    elCol: [
      {
        label: "执行内容:",
        prop: "phaseContent",
      },
    ],
  },
  {
    elCol: [
      {
        label: "预警天数:",
        prop: "warininDays",
      },
    ],
  },
  {
    elCol: [
      {
        label: "预计执行日期:",
        prop: "planDate",
      },
    ],
  },
  {
    elCol: [
      {
        label: "执行数量:",
        prop: "execAmount",
      },
    ],
  },
  {
    elCol: [
      {
        label: "执行金额:",
        prop: "execMoney",
      },
    ],
  },
  {
    elCol: [
      {
        label: "预计执行:",
        prop: "planDate",
        slotName: "planDate",
      },
    ],
  },
];
// 客户名称弹窗-基本信息
const essentialInformation = [
  {
    elCol: [
      {
        label: "客户编号:",
        prop: "cusCode",
      },
      {
        label: "客户名称:",
        prop: "cusName",
      },
      {
        label: "客户简称:",
        prop: "cusShortName",
      },
    ],
  },
  {
    elCol: [
      {
        label: "客户分类:",
        prop: "cusClassify",
      },
      {
        label: "分管部门:",
        prop: "organID",
      },
      {
        label: "法人:",
        prop: "legalPerson",
      },
    ],
  },
  {
    elCol: [
      {
        label: "税号:",
        prop: "taxNumber",
      },
      {
        label: "电话:",
        prop: "telphone",
      },
      {
        label: "地址:",
        prop: "address",
      },
    ],
  },
];
// 客户名称弹窗-明细
const tableColumn = [
  {
    label: "姓名",
    prop: "linkName",
  },
  {
    label: "手机号",
    prop: "mobile",
  },
  {
    label: "电话",
    prop: "telphone",
  },
  {
    label: "Email",
    prop: "email",
  },
  {
    label: "职务",
    prop: "duty",
  },
  {
    label: "是否默认",
    prop: "isdefault",
  },
];
// 客户名称-附件
const appendix = [
  {
    label: "文件名",
    prop: "sa_ShowName",
  },
  {
    label: "上传人",
    prop: "p_PersonName",
  },
  {
    label: "上传时间",
    prop: "sa_UploadDateTime",
  },
  {
    label: "文件大小",
    prop: "sa_AttachmentSize",
  },
];
// 供方单位-基本信息
const unitDetails = [
  {
    elCol: [
      {
        label: "供应商编码:",
        prop: "venCode",
      },
      {
        label: "供应商名称:",
        prop: "venName",
      },
      {
        label: "供应商简称:",
        prop: "venShortName",
      },
    ],
  },
  {
    elCol: [
      {
        label: "助记码:",
        prop: "zujm",
      },
      {
        label: "客户分类:",
        prop: "venClassify",
      },
      {
        label: "分管部门:",
        prop: "organID",
      },
    ],
  },
  {
    elCol: [
      {
        label: "法人:",
        prop: "legalPerson",
      },
      {
        label: "税号:",
        prop: "taxNumber",
      },
      {
        label: "电话:",
        prop: "telphone",
      },
    ],
  },
  {
    elCol: [
      {
        label: "地址:",
        prop: "address",
      },
    ],
  },
];
const detailedTableColumn = [
  {
    label: "是否新产品",
    prop: "newProduct",
    tooltip: true,
    width: "150",
  },
  {
    label: "存货编码",
    prop: "invCode",
    tooltip: true,
    width: "150",
  },
  {
    label: "设备名称",
    prop: "equipmentName",
    tooltip: true,
  },
  {
    label: "设备编码",
    prop: "invName",
    tooltip: true,
    width: "120",
  },
  {
    label: "规格",
    prop: "specification",
    tooltip: true,
  },
  {
    label: "计量单位",
    prop: "unitName",
    tooltip: true,
  },
  {
    label: "数量",
    prop: "quantity",
    tooltip: true,
    width: "120",
  },
  {
    label: "单价",
    prop: "unitPrice",
    tooltip: true,
    width: "120",
  },
  {
    label: "金额",
    prop: "unitMoney",
    tooltip: true,
    width: "120",
  },
  {
    label: "税率",
    prop: "taxRate",
    tooltip: true,
    width: "120",
  },
  {
    label: "税额",
    prop: "tax",
    tooltip: true,
    width: "120",
  },
  {
    label: "无税单价",
    prop: "nUnitPeice",
    tooltip: true,
    width: "120",
  },
  {
    label: "无税金额",
    prop: "nUnitMoney",
    tooltip: true,
    width: "120",
  },
  {
    label: "备注",
    prop: "invStd",
    tooltip: true,
    width: "120",
  },
];
const stageTableColumn = [
  {
    label: "阶段名称",
    prop: "phaseName",
    tooltip: true,
    width: "150",
  },
  {
    label: "执行内容",
    prop: "phaseContent",
    tooltip: true,
    width: "120",
  },
  {
    label: "预警天数",
    prop: "warininDays",
    tooltip: true,
    width: "150",
  },
  {
    label: "预计执行日期",
    prop: "planDate",
    tooltip: true,
  },
  {
    label: "执行数量",
    prop: "execAmount",
    tooltip: true,
  },
  {
    label: "执行金额",
    prop: "execMoney",
    tooltip: true,
  },
];
export default {
  topFormRow,
  secondFormRow,
  secondFormRow,
  detailedTableColumn,
  stageTableColumn,
  contractDetails,
  contractStage,
  essentialInformation,
  tableColumn,
  appendix,
  unitDetails,
  relatedContract,
};
