// 基本信息
const topFormRow = [
  {
    elCol: [
      {
        label: "商机编码",
        prop: "billCode",
        tag: "elInput",
        placeholder: "自动生成",
        disabled: true,
      },
      {
        label: "商机名称",
        prop: "projectName",
        tag: "elInput",
        span: 12
      },
      {
        label: "客户名称",
        prop: "cusName",
        tag: "elDialog",
      },
    ],
  },
  {
    elCol: [
      {
        label: "项目描述",
        prop: "projectSituation",
        tag: "elInput",
        span: 24,
        type: "textarea",
        maxlength: '110'
      },
    ],
  },
  {
    elCol: [
      {
        label: "商机类型",
        prop: "type",
        tag: "elSelect",
        options: [],
      },
      {
        label: "商机来源",
        prop: "source",
        tag: "elSelect",
        options: [],
      },
      {
        label: "销售部门",
        prop: "organName",
        tag: "elDialog",
        placeholder: "选择销售部门",
      },
      {
        label: "业务人员",
        prop: "personName",
        tag: "elDialog",
        placeholder: "选择业务人员",
      },
    ],
  },
  {
    elCol: [
      {
        label: "客户负责人",
        prop: "cusResPerson",
        tag: "elInput",
      },
      {
        label: "项目当前状态",
        prop: "state",
        tag: "elSelect",
        options: [],
      },
      {
        label: "预计收款时间",
        prop: "estimatTranTime",
        tag: "elDatePicker",
      },
      {
        label: "预计收款金额",
        prop: "estimatTranAmount",
        tag: "elInput",
        rules: true,
        rulesName: "decimal",
      },
    ],
  },
  {
    elCol: [
      {
        label: "项目当前阶段",
        prop: "stage",
        tag: "elSelect",
        options: [],
      },
      {
        label: "项目成功率",
        prop: "successRate",
        tag: "elInput",
        rules: true,
        rulesName: "decimal",
      },
      {
        label: "实际成交时间",
        prop: "actualTranTime",
        tag: "elDatePicker",
        disabled: true,
      },
      {
        label: "实际成交金额",
        prop: "actualTranAmount",
        tag: "elInput",
        disabled: true,
        rulesName: "decimal",
      },
    ],
  },
];
// 项目表头配置
const xmTableColumn = [
  {
    label: "项目编号",
    prop: "billCode",
    tooltip: true,
    width: "100",
  },
  {
    label: "项目名称",
    prop: "projectName",
    tooltip: true,
    width: "150",
  },
  {
    label: "客户编码",
    prop: "cusCode",
    tooltip: true,
    width: "120",
  },
  {
    label: "客户名称",
    prop: "cusName",
    tooltip: true,
    width: "150",
  },
  {
    label: "所属部门",
    prop: "o_OrganName",
    tooltip: true,
  },
  {
    label: "项目类型",
    prop: "email",
    tooltip: true,
  },
  {
    label: "项目阶段",
    prop: "phase",
    tooltip: true,
  },
  {
    label: "项目负责人",
    prop: "p_PersonName",
    tooltip: true,
    width: "120",
  },
  {
    label: "计划开始时间",
    prop: "beginDate",
    tooltip: true,
    width: "120",
  },
  {
    label: "计划结束时间",
    prop: "endDate",
    tooltip: true,
    width: "120",
  },
];
// 表单校验
const formVerification = {
  projectName: [
    {
      required: true,
      message: "请输入项目名称",
      trigger: "blur",
    },
  ],
  cusCode: [
    {
      required: true,
      message: "请选择客户名称",
      trigger: "change, blur",
    },
  ],
  projectSituation: [
    {
      required: true,
      message: "请输入项目描述",
      trigger: "change, blur",
    },
  ],
  type: [
    {
      required: true,
      message: "请选择商机类型",
      trigger: "blur",
    },
  ],
  organID: [
    {
      required: true,
      message: "请选择销售部门",
      trigger: "blur",
    },
  ],
  personName: [
    {
      required: true,
      message: "请选择业务人员",
      trigger: "blur",
    },
  ],
  cusResPerson: [
    {
      required: true,
      message: "请输入项目负责人",
      trigger: "blur",
    },
  ],
  stage: [
    {
      required: true,
      message: "请选择当前阶段",
      trigger: "blur",
    },
  ],
  estimatTranTime: [
    {
      required: true,
      message: "请选择预计收款时间",
      trigger: "blur",
    },
  ],
  estimatTranAmount: [
    {
      required: true,
      message: "请输入预计成交金额",
      trigger: "blur",
    },
  ],
  cusName: [
    {
      required: true,
      message: "请选择客户名称",
      trigger: "blur",
    },
  ],
  organName: [
    {
      required: true,
      message: "请选择销售部门",
      trigger: "blur",
    },
  ],
};
// 客商表头配置
const companyTableColumn = [
  {
    label: "客户编号",
    prop: "cusCode",
    tooltip: true,
    width: "100",
  },
  {
    label: "客户名称",
    prop: "cusName",
    tooltip: true,
    width: "150",
  },
  {
    label: "客户简称",
    prop: "cusShortName",
    tooltip: true,
    width: "120",
  },
  {
    label: "客户分类",
    prop: "cusClassifyName",
    tooltip: true,
    width: "150",
  },
  {
    label: "分管部门",
    prop: "orgainName",
    tooltip: true,
  },
  {
    label: "法人",
    prop: "legalPerson",
    tooltip: true,
  },
  {
    label: "税号",
    prop: "taxNumber",
    tooltip: true,
  },
  {
    label: "电话",
    prop: "telphone",
    tooltip: true,
    width: "110",
  },
  {
    label: "地址",
    prop: "address",
    tooltip: true,
    width: "110",
  },
];
export default {
  topFormRow,
  xmTableColumn,
  formVerification,
  companyTableColumn
}
